@if (authenticatedUser$ | async) {
  <div
    class="flex-row full-height full-width overflow-hidden neutral-background-color"
    [sqtmCoreWorkspace]="workspaceName"
    [sqtmCoreWorkspaceTheme]="'administration-workspace'"
    [sqtmCoreViewId]="'system-view'"
  >
    <sqtm-core-nav-bar-admin
      class="full-height flex-fixed-size"
    ></sqtm-core-nav-bar-admin>
    <div
      class="flex full-height full-width neutral-background-color overflow-hidden"
    >
      <div class="flex-column full-height full-width overflow-hidden">
        <sqtm-core-license-information-banner
          [isAdmin]="adminReferentialDataService.loggedAsAdmin$ | async"
          [licenseInformation]="
            adminReferentialDataService.licenseInformation$ | async
          "
          [placement]="'ADMIN_WORKSPACE'"
        >
        </sqtm-core-license-information-banner>
        <sqtm-core-configurable-banner />
        <span class="m-t-10 m-b-10 m-l-50 sqtm-core-screen-title">
          {{ titleKey | translate }}
        </span>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                @if (adminReferentialDataService.loggedAsAdmin$ | async) {
                  <sqtm-core-anchor-group [id]="'information'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      sqtmCoreDefaultAnchorLink
                      [id]="'information'"
                      [nzTooltipTitle]="
                        'sqtm-core.generic.label.information.plural' | translate
                      "
                      [iconName]="'sqtm-core-administration:information'"
                    >
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                  <sqtm-core-anchor-group [id]="'settings'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'settings'"
                      [nzTooltipTitle]="
                        'sqtm-core.administration-workspace.system.settings.label'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:settings'"
                    >
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                  <sqtm-core-anchor-group [id]="'messages'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'messages'"
                      [nzTooltipTitle]="
                        'sqtm-core.administration-workspace.system.messages.title'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:edit_message'"
                    >
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                  <sqtm-core-anchor-group [id]="'report-templates'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'report-templates'"
                      [nzTooltipTitle]="
                        'sqtm-core.administration-workspace.system.report-templates.title'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:report_template'"
                    >
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                  <sqtm-core-anchor-group [id]="'cleaning'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'cleaning'"
                      [nzTooltipTitle]="
                        'sqtm-core.administration-workspace.system.cleaning.title.short'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:broom'"
                    >
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                  <sqtm-core-anchor-group [id]="'downloads'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'downloads'"
                      [nzTooltipTitle]="
                        'sqtm-core.administration-workspace.system.downloads.title'
                          | translate
                      "
                      [iconName]="'sqtm-core-generic:download'"
                    >
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                  <sqtm-core-anchor-group [id]="'synchronizations-supervision'">
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'synchronizations-supervision'"
                      [nzTooltipTitle]="
                        'sqtm-core.administration-workspace.system.synchronizations-supervision.title'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:synchronize'"
                    >
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                }
                <sqtm-core-anchor-group [id]="'synchronizations-supervision'">
                  @if (!(adminReferentialDataService.loggedAsAdmin$ | async)) {
                    <sqtm-core-anchor-link
                      sqtmCoreDefaultAnchorLink
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'synchronizations-supervision'"
                      [nzTooltipTitle]="
                        'sqtm-core.administration-workspace.system.synchronizations-supervision.title'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:synchronize'"
                    >
                    </sqtm-core-anchor-link>
                  }
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="admin-contextual-content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
  </div>
} @else {
  <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
}
